Skip to main content
GET
/
v1
/
markets
Get markets
curl --request GET \
  --url https://api.polymarket.us/v1/markets
import requests

url = "https://api.polymarket.us/v1/markets"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.polymarket.us/v1/markets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "markets": [
    {
      "id": "<string>",
      "question": "<string>",
      "slug": "<string>",
      "description": "<string>",
      "startDate": "2023-11-07T05:31:56Z",
      "endDate": "2023-11-07T05:31:56Z",
      "category": "<string>",
      "marketType": "<string>",
      "active": true,
      "closed": true,
      "archived": true,
      "hidden": true,
      "updatedAt": "2023-11-07T05:31:56Z",
      "gameStartTime": "2023-11-07T05:31:56Z",
      "manualActivation": true,
      "sportsMarketType": "<string>",
      "line": 123,
      "outcomes": "<string>",
      "outcomePrices": "<string>",
      "ep3Status": "<string>",
      "marketSides": [
        {
          "id": "<string>",
          "marketSideType": "<string>",
          "identifier": "<string>",
          "createdAt": "2023-11-07T05:31:56Z",
          "updatedAt": "2023-11-07T05:31:56Z",
          "description": "<string>",
          "marketId": 123,
          "long": true,
          "teamId": 123,
          "team": {
            "id": 123,
            "name": "<string>",
            "abbreviation": "<string>",
            "league": "<string>",
            "record": "<string>",
            "logo": "<string>",
            "alias": "<string>",
            "safeName": "<string>",
            "homeIcon": "<string>",
            "awayIcon": "<string>",
            "colorPrimary": "<string>",
            "providerId": 123,
            "ordering": "<string>",
            "longIcon": "<string>",
            "shortIcon": "<string>",
            "displayAbbreviation": "<string>",
            "providerIds": [
              {
                "provider": "<string>",
                "providerId": "<string>"
              }
            ]
          },
          "participantId": "<string>"
        }
      ],
      "events": [
        {
          "id": "<string>",
          "ticker": "<string>",
          "slug": "<string>",
          "title": "<string>",
          "description": "<string>",
          "startDate": "2023-11-07T05:31:56Z",
          "endDate": "2023-11-07T05:31:56Z",
          "active": true,
          "closed": true,
          "archived": true,
          "hidden": true,
          "category": "<string>",
          "createdAt": "2023-11-07T05:31:56Z",
          "updatedAt": "2023-11-07T05:31:56Z",
          "startTime": "2023-11-07T05:31:56Z",
          "seriesSlug": "<string>",
          "period": "<string>",
          "gameId": 123,
          "sportradarGameId": "<string>",
          "participants": [
            {
              "id": "<string>",
              "team": {
                "id": 123,
                "name": "<string>",
                "abbreviation": "<string>",
                "league": "<string>",
                "record": "<string>",
                "logo": "<string>",
                "alias": "<string>",
                "safeName": "<string>",
                "homeIcon": "<string>",
                "awayIcon": "<string>",
                "colorPrimary": "<string>",
                "providerId": 123,
                "ordering": "<string>",
                "longIcon": "<string>",
                "shortIcon": "<string>",
                "displayAbbreviation": "<string>",
                "providerIds": [
                  {
                    "provider": "<string>",
                    "providerId": "<string>"
                  }
                ]
              }
            }
          ],
          "markets": "<array>"
        }
      ]
    }
  ]
}

Query Parameters

limit
integer<int32>

Page size

offset
integer<int32>

Page offset

orderBy
string[]

Order by fields

orderDirection
string

Order direction (asc or desc)

id
integer<int32>[]

Filter by market IDs

slug
string[]

Filter by market slugs

archived
boolean

Filter by archived status

active
boolean

Filter by active status

closed
boolean

Filter by closed status

liquidityNumMin
number<double>

Minimum liquidity

liquidityNumMax
number<double>

Maximum liquidity

volumeNumMin
number<double>

Minimum volume

volumeNumMax
number<double>

Maximum volume

startDateMin
string

Minimum start date

startDateMax
string

Maximum start date

endDateMin
string

Minimum end date

endDateMax
string

Maximum end date

tagId
integer<int32>

Filter by tag ID

Include related tags in results

cyom
boolean

Filter by Create Your Own Market status

gameId
string

Filter by game ID

sportsMarketTypes
enum<string>[]

Filter by sports market types

Available options:
UNSPECIFIED,
MONEYLINE,
SPREAD,
TOTAL,
PROP
rewardsMinSize
number<double>

Minimum rewards size filter

questionIds
string[]

Filter by question IDs

includeTag
boolean

Include tag information in response

categories
string[]

Filter by categories

marketTypes
string[]

Filter by market types

Response

List of markets

markets
object[]

List of markets